> ## Documentation Index
> Fetch the complete documentation index at: https://docs.theymes.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post playerschedule deletion

> Schedule deletion of a player's data. The player will be scheduled to be deleted in 24 hours. The scheduled deletion can be cancelled from the Theymes application if necessary.



## OpenAPI

````yaml https://api.theymes.com/openapi post /player/schedule-deletion
openapi: 3.1.0
info:
  title: Theymes API
  version: 1.0.0
  description: >-
    Theymes API allows you to interact with the Theymes platform.



    Most endpoints require an API key for authentication. You can generate an
    API key in the Theymes dashboard.



    The API key should be included in the Authorization header
    (```Authorization: Bearer <YOUR_KEY>```).



    The public support link endpoints do not require authentication and are
    grouped separately below.
servers: []
security: []
tags:
  - name: Authenticated endpoints (API key)
    description: Endpoints that require an API key in the Authorization header.
  - name: Public support links (no authentication)
    description: >-
      Endpoints for creating web support sessions and links. These require no
      authentication and are identified by a game environment token.
paths:
  /player/schedule-deletion:
    post:
      tags:
        - Authenticated endpoints (API key)
      description: >-
        Schedule deletion of a player's data. The player will be scheduled to be
        deleted in 24 hours. The scheduled deletion can be cancelled from the
        Theymes application if necessary.
      operationId: schedulePlayerDeletion
      parameters:
        - schema:
            type: string
            description: Bearer token API key
          required: true
          description: Bearer token API key
          name: Authorization
          in: header
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                theymesPlayerId:
                  type: string
                  format: uuid
                  description: The Theymes Player ID, can be found with the ticket API.
              required:
                - theymesPlayerId
      responses:
        '200':
          description: Player deletion scheduled
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                required:
                  - success

````